## org.hibernate.service.spi
Interface ServiceRegistryImplementor

All Superinterfaces:
  ServiceRegistry

All Known Subinterfaces:
  SessionFactoryServiceRegistry

All Known Implementing Classes:
  AbstractServiceRegistryImpl, BootstrapServiceRegistryImpl, SessionFactoryServiceRegistryImpl, StandardServiceRegistryImpl

    public interface ServiceRegistryImplementor

extends ServiceRegistry

Additional integration contracts for a service registry.

Method Summary
`void` `destroy()` Release resources

`

`<R extends Service> ServiceBinding<R>`

`

`locateServiceBinding(Class<R> serviceRole)`
Locate the binding for the given role.

Methods inherited from interface org.hibernate.service.ServiceRegistry
`getParentServiceRegistry, getService`

Method Detail

### locateServiceBinding

    <R extends Service> ServiceBinding<R> locateServiceBinding(Class<R> serviceRole)

  Locate the binding for the given role. Should, generally speaking, look into parent registry if one.

  Type Parameters:
    `R` - generic return type.
  Parameters:
    `serviceRole` - The service role for which to locate a binding.
  Returns:
    The located binding; may be `null`

### destroy

    void destroy()

  Release resources

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.